Package com.orchestranetworks.rest.util

# Interface URIBuilderForBuiltin.ForRecord<T extends URIBuilderForBuiltin<T>>

All Superinterfaces:
  `URIBuilderForBuiltin<T>`

All Known Subinterfaces:
  `URIBuilderForBuiltin.ForDataAndHistory`

Enclosing interface:
  URIBuilderForBuiltin<T extends URIBuilderForBuiltin<T>>

public static interface URIBuilderForBuiltin.ForRecord<T extends URIBuilderForBuiltin<T>> extends URIBuilderForBuiltin<T>
Contains methods to generate built-in REST services `URI` to a record.

Since:
  6.0.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin

  `URIBuilderForBuiltin.ForDataAndHistory, URIBuilderForBuiltin.ForDataset<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForDataspace<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForNode<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForRecord<T extends URIBuilderForBuiltin<T>>, URIBuilderForBuiltin.ForTable<T extends URIBuilderForBuiltin<T>>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `buildForRecord(Adaptation aRecord)`
  Returns an absolute `URI` to a specified record.
  `UriBuilder`
  `record(Adaptation aRecord)`
  Returns a configured `URI` builder which can generate built-in REST services `URI` to a specified record.

  ### Methods inherited from interface com.orchestranetworks.rest.util.URIBuilderForBuiltin

  `build, extendedAction, firstPage, lastPage, nextPage, pageSize, previousPage, queryParams, queryParams`

- ## Method Details

  - ### buildForRecord

    URI buildForRecord(Adaptation aRecord)
    Returns an absolute `URI` to a specified record.

    If query parameters must be added to the generated `URI`, then the `URIBuilderForBuiltin.queryParams(Map)` or `URIBuilderForBuiltin.queryParams(MultivaluedMap)` method has to be invoked before this one.

    If pagination query parameters must be added to the generated `URI`, then the `URIBuilderForBuiltin.firstPage()`, `URIBuilderForBuiltin.lastPage()`, `URIBuilderForBuiltin.nextPage(String)`, `URIBuilderForBuiltin.previousPage(String)` or `URIBuilderForBuiltin.pageSize(int)` method has to be invoked before this one.

    If an extended action must be added to the generated `URI`, then the `URIBuilderForBuiltin.extendedAction(String)` method has to be invoked before this one.

    Parameters:
      `aRecord` - the record
    See Also:
      - Data operations documentation

  - ### record

    UriBuilder record(Adaptation aRecord)
    Returns a configured `URI` builder which can generate built-in REST services `URI` to a specified record.

    Since a `URI` builder is returned, it is still possible to manipulate the preconfigured URI afterward.

    To handle query parameters, the methods `URIBuilderForBuiltin.queryParams(Map)`, `URIBuilderForBuiltin.queryParams(MultivaluedMap)` or `UriBuilder.queryParam(String, Object...)` should be used.

    To handle pagination query parameters, the methods @link #firstPage()}, `URIBuilderForBuiltin.lastPage()`, `URIBuilderForBuiltin.nextPage(String)`, `URIBuilderForBuiltin.previousPage(String)`, `URIBuilderForBuiltin.pageSize(int)` or `UriBuilder.queryParam(String, Object...)` should be used.

    To handle extended actions, the methods `URIBuilderForBuiltin.extendedAction(String)`, `UriBuilder.replacePath(String)`, `UriBuilder.path(String)` or `UriBuilder.segment(String...)` should be used.

    Parameters:
      `aRecord` - the record
    See Also:
      - Data operations documentation